<?php

namespace App\Classes\Modules\PackingLists\Standards\Validators;


use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\PackingLists\DataTransferObjects\ContainerObject;

class ContainerValidation extends AbstractValidation
{

    /**
     * @param ContainerObject $object
     * @return array
     */
    protected function data($object): array {
        return [
            'reference' => $object->getReference()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array {
        return [
            'reference' => 'required'
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array {
        return [];
    }

}
